com.hazelcast.jet.spring

## Class JetClientBeanDefinitionParser

- java.lang.Object
- - org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
  - - com.hazelcast.spring.AbstractHazelcastBeanDefinitionParser
    - - com.hazelcast.spring.HazelcastClientBeanDefinitionParser
      - - com.hazelcast.jet.spring.JetClientBeanDefinitionParser

- All Implemented Interfaces:
    org.springframework.beans.factory.xml.BeanDefinitionParser

      public class JetClientBeanDefinitionParser
      extends HazelcastClientBeanDefinitionParser

  BeanDefinitionParser for Hazelcast Jet Client Configuration.

  Sample Spring XML for Hazelcast Jet Client:

         <jet:client id="client">
            <jet:group name="jet" password="jet-pass"/>
            <jet:network connection-attempt-limit="3"
                connection-attempt-period="3000"
                connection-timeout="1000"
                redo-operation="true"
                smart-routing="true">
                    <hz:member>10.10.1.2:5701</hz:member>
                    <hz:member>10.10.1.3:5701</hz:member>
            </jet:network>
         </jet:client>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.hazelcast.spring.HazelcastClientBeanDefinitionParser

      `HazelcastClientBeanDefinitionParser.SpringXmlBuilder`

    - ### Nested classes/interfaces inherited from class com.hazelcast.spring.AbstractHazelcastBeanDefinitionParser

      `AbstractHazelcastBeanDefinitionParser.SpringXmlBuilderHelper`

  - ### Field Summary

    - ### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `ID_ATTRIBUTE, NAME_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JetClientBeanDefinitionParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.springframework.beans.factory.support.AbstractBeanDefinition` | `parseInternal(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JetClientBeanDefinitionParser

          public JetClientBeanDefinitionParser()

  - ### Method Detail

    - #### parseInternal

          protected org.springframework.beans.factory.support.AbstractBeanDefinition parseInternal(Element element,
                                                                                                   org.springframework.beans.factory.xml.ParserContext parserContext)

      Overrides:
        `parseInternal` in class `HazelcastClientBeanDefinitionParser`

Copyright © 2019. All rights reserved.